Loading...
Searching...
No Matches
Ui::CStudio Class Reference

## Public Member Functions

bool | EventProcess (const Event &event)
void | StartEditScript (CScript *script, std::string name, Program *program)
bool | StopEditScript (bool closeWithErrors)
void | SetInfoText (std::string text, bool bClickable)

## Protected Member Functions

bool | EventFrame (const Event &event)
void | SearchToken (CEdit *edit)
void | ColorizeScript (CEdit *edit)
void | AdjustEditScript ()
void | ViewEditScript ()
void | UpdateFlux ()
void | UpdateButtons ()
void | StartDialog (const Event &event)
void | StopDialog ()
bool | EventDialog (const Event &event)

## Protected Attributes

Gfx::CEngine * | m_engine
CEventQueue * | m_event
CRobotMain * | m_main
Gfx::CCamera * | m_camera
CSoundInterface * | m_sound
CInterface * | m_interface
CApplication * | m_app
CPauseManager * | m_pause
CSettings * | m_settings
Program * | m_program
CScript * | m_script
Gfx::CameraType | m_editCamera
bool | m_bEditMaximized
bool | m_bEditMinimized
Math::Point | m_editActualPos
Math::Point | m_editActualDim
Math::Point | m_editFinalPos
Math::Point | m_editFinalDim
Math::Point | m_windowPos
Math::Point | m_windowDim
Math::Point | m_dialogPos
Math::Point | m_dialogDim
float | m_time
float | m_fixInfoTextTime
bool | m_bRunning
bool | m_bRealTime
ActivePause * | m_editorPause = nullptr
ActivePause * | m_runningPause = nullptr
std::string | m_helpFilename
std::unique_ptr< CFileDialog > | m_fileDialog

The documentation for this class was generated from the following files:

- src/ui/studio.h
- src/ui/studio.cpp